Forge Home

google_chrome

Installs the Google Chrome web browser

181,764 downloads

3,430 latest version

4.7 quality score

We run a couple of automated
scans to help you access a
module's quality. Each module is
given a score based on how well
the author has formatted their
code and documentation and
modules are also checked for
malware using VirusTotal.

Please note, the information below
is for guidance only and neither of
these methods should be considered
an endorsement by Puppet.

Version information

  • 0.10.0 (latest)
  • 0.9.0
  • 0.8.0
  • 0.7.0
  • 0.6.0
  • 0.5.0
  • 0.4.0
  • 0.3.0
  • 0.2.6
  • 0.2.5
  • 0.2.4
  • 0.2.3
  • 0.2.2
  • 0.2.1
  • 0.2.0
  • 0.1.0
released Dec 6th 2021
This version is compatible with:
  • Puppet Enterprise 2019.8.x, 2019.7.x, 2019.5.x, 2019.4.x, 2019.3.x, 2019.2.x, 2019.1.x, 2019.0.x, 2018.1.x, 2017.3.x
  • Puppet >=5.0.0 <7.0.0
  • , , , , ,

Start using this module

  • r10k or Code Manager
  • Bolt
  • Manual installation
  • Direct download

Add this module to your Puppetfile:

mod 'jamesnetherton-google_chrome', '0.10.0'
Learn more about managing modules with a Puppetfile

Add this module to your Bolt project:

bolt module add jamesnetherton-google_chrome
Learn more about using this module with an existing project

Manually install this module globally with Puppet module tool:

puppet module install jamesnetherton-google_chrome --version 0.10.0

Direct download is not typically how you would use a Puppet module to manage your infrastructure, but you may want to download the module in order to inspect the code.

Download

Documentation

jamesnetherton/google_chrome — version 0.10.0 Dec 6th 2021

puppet-google-chrome

Puppet Google Chrome CI Puppet Forge Puppet Forge Puppet Forge Puppet Forge license

Overview

Puppet module to install the Google Chrome web browser module. Currently supports installation on:

  • Fedora
  • Debian / Ubuntu
  • openSUSE

Usage

To install the stable version of Google Chrome, include or declare the google_chrome class.

include 'google_chrome'
class { 'google_chrome':
}

To install unstable or beta versions, set the appropriate version attribute.

class { 'google_chrome':
  version => 'unstable',
}
class { 'google_chrome':
  version => 'beta',
}

To modify the full set of default parameters.

class { 'google_chrome':
  ensure                 => 'installed',
  version                => 'unstable',
  package_name           => 'google-chrome',
  repo_gpg_key           => 'https://dl.google.com/linux/linux_signing_key.pub',
  repo_gpg_key_id        => '4CCA1EAF950CEE4AB83976DCA040830F7FAC5991',
  repo_gpg_key_options   => 'http-proxy="http://proxyuser:proxypass@example.org:3128"',
  repo_name              => 'google-chrome',
  defaults_file          => '/etc/default/google-chrome',
  defaults_proxy_pac_url => 'http://foo/bar/proxy.pac',
  repo_base_url          => 'https://dl.google.com/linux/chrome/rpm/stable/x86_64'
}

Contributing

Fork this repository and create a feature branch to work on your changes. Before submitting a pull request:

  • Please run tests and if necessary add test coverage for your changes:
rake spec
  • Run lint checks:
puppet-lint manifests --fail-on-warnings \
                      --no-documentation-check \
                      --no-autoloader_layout-check \
                      --no-class_inherits_from_params_class-check